// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.Commands;
import edu.wpi.first.wpilibj2.command.button.CommandXboxController;
import frc.robot.command.AlgueExpire;
import frc.robot.command.CoralAlgueInspire;
import frc.robot.command.CoralExpire;
import frc.robot.subsystems.Elevateur;
import frc.robot.subsystems.Pince;

public class RobotContainer {
  CommandXboxController manette = new CommandXboxController(0);
  Pince pince = new Pince();
  Elevateur elevateur = new Elevateur();
  public RobotContainer() {
    configureBindings();
  }

  private void configureBindings() {
    manette.a().whileTrue(new AlgueExpire(pince));
    manette.b().whileTrue(new CoralAlgueInspire(pince));
    manette.x().whileTrue(new CoralExpire(pince));
    manette.y().whileTrue(new CoralExpire(pince));
  }

  public Command getAutonomousCommand() {
    return Commands.print("No autonomous command configured");
  }
}
